| Home | Libraries | People | FAQ | More

##### value::hash_value

Helper for `boost::hash` support.

###### Synopsis

Defined in header `<boost/json/value.hpp>`

    std::size_t
    hash_value(
        value const& jv);

###### Description

Computes a hash value for `jv`. This function is used by `boost::hash<value>`. Similar overloads for `array`, `object`, and `string` do not exist, because those types are supported by `boost::hash` out of the box.

###### Return Value

hash value for `jv`.

###### Parameters

Name | Description
--- | ---
`jv` | `value` for which a hash is to be computed.

###### See Also

Boost.ContainerHash.

Convenience header `<boost/json.hpp>`